import java.io.File;
import java.io.FileFilter;
import java.io.IOException;

import net.y3n20u.aeszip.AesZipRecursiveEncrypter;

public class AesZipRecursiveEncryptSample {

	public static void main(String[] args) {
		AesZipRecursiveEncrypter zip = new AesZipRecursiveEncrypter(new File("c:\\temp\\ziptest"), "password");

		zip.setProgressListener(new ProgressListenerSample());
		zip.setFileFilter(new FileFilter() {
			@Override
			public boolean accept(File pathname) {
				return !pathname.getName().startsWith("VTS");
			}
		});

		try {
			zip.archive();
		} catch (IOException ioe) {
			ioe.printStackTrace();
		}
	}

}
